CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties
CommandMessenger.Transport.Serial.SerialConnectionManager Class Reference

Connection manager for serial port connection. More...

Inheritance diagram for CommandMessenger.Transport.Serial.SerialConnectionManager:

List of all members.

## Public Member Functions
| SerialConnectionManager (SerialTransport serialTransport, CmdMessenger cmdMessenger, int watchdogCommandId=0, string uniqueDeviceId=null, ISerialConnectionStorer serialConnectionStorer=null)
| Connection manager for serial port connection.
## Protected Member Functions
override void | StartScan ()
| Start scanning for devices.
override void | DoWorkConnect ()
override void | DoWorkScan ()
override void | StoreSettings ()
override sealed void | ReadSettings ()
## Properties
string[] | AvailableSerialPorts`[get, set]`
| Available serial port names in system.
bool | DeviceScanBaudRateSelection`[get, set]`
| In scan mode allow to try different baud rates besides that is configured in SerialSettings.

## Detailed Description

Connection manager for serial port connection.

## Constructor & Destructor Documentation

CommandMessenger.Transport.Serial.SerialConnectionManager.SerialConnectionManager | ( | SerialTransport | serialTransport,
|  | CmdMessenger | cmdMessenger,
|  | int | watchdogCommandId = `0`,
|  | string | uniqueDeviceId = `null`,
|  | ISerialConnectionStorer | serialConnectionStorer = `null`
| ) |  |

Connection manager for serial port connection.

## Member Function Documentation

override void CommandMessenger.Transport.Serial.SerialConnectionManager.StartScan | ( |  | ) | `[protected, virtual]`

Start scanning for devices.

Reimplemented from CommandMessenger.ConnectionManager.

## Property Documentation

string [] CommandMessenger.Transport.Serial.SerialConnectionManager.AvailableSerialPorts`[get, set]`

Available serial port names in system.

bool CommandMessenger.Transport.Serial.SerialConnectionManager.DeviceScanBaudRateSelection`[get, set]`

In scan mode allow to try different baud rates besides that is configured in SerialSettings.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/CommandMessenger.Transport.Serial/SerialConnectionManager.cs